Page MenuHomePhabricator

Create Graphoid .pipeline files
Open, Stalled, NormalPublic

Description

Needed by Blubber for the service pipeline to create container image.

Details

Related Gerrit Patches:
mediawiki/services/graphoid : masterConfig: Do not use bunyan-prettystream for logs by default
mediawiki/services/graphoid : masterAdd a helm.yaml pipeline file
mediawiki/services/graphoid : masterAdd the blubber.yaml pipeline file

Event Timeline

thcipriani triaged this task as Normal priority.Aug 29 2018, 3:44 PM
thcipriani created this task.

Change 434471 had a related patch set uploaded (by Thcipriani; owner: Alexandros Kosiaris):
[mediawiki/services/graphoid@master] Add the blubber.yaml pipeline file

https://gerrit.wikimedia.org/r/434471

Change 434471 merged by Alexandros Kosiaris:
[mediawiki/services/graphoid@master] Add the blubber.yaml pipeline file

https://gerrit.wikimedia.org/r/434471

Created docker-registry.wikimedia.org/wikimedia/mediawiki-services-graphoid:20181126180555-production via https://integration.wikimedia.org/ci/job/service-pipeline-no-helm-test/2/console

I did this manually due to T209871: Initial production image build fails helm test

The image complains about Error: Cannot find module 'bunyan-prettystream', but appears to work otherwise (i.e., responds to ?spec on port 6927, and curl -o demo.png localhost:6927/mediawiki.org/v1/png/Extension:Graph%2fDemo/0/2e25518b199b22ab9043f7ce9a0cd1370b27d77a gives me a graph)

Change 475819 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/services/graphoid@master] Config: Do not use bunyan-prettystream for logs by default

https://gerrit.wikimedia.org/r/475819

Change 475819 merged by Mobrovac:
[mediawiki/services/graphoid@master] Config: Do not use bunyan-prettystream for logs by default

https://gerrit.wikimedia.org/r/475819

The image complains about Error: Cannot find module 'bunyan-prettystream'

Fixed by the above patch. It shouldn't complain any more.

The image complains about Error: Cannot find module 'bunyan-prettystream'

Fixed by the above patch. It shouldn't complain any more.

Nice! Created: docker-registry.wikimedia.org/wikimedia/mediawiki-services-graphoid:20181126201603-production — no more error. Thanks @mobrovac !

Change 475784 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[mediawiki/services/graphoid@master] Add a helm.yaml pipeline file

https://gerrit.wikimedia.org/r/475784

hashar removed a subscriber: hashar.Nov 28 2018, 2:44 PM
akosiaris changed the task status from Open to Stalled.EditedDec 13 2018, 3:37 PM

Stalling until T211881 is done